        // Test the implementation of the PayInterestAccount
        // class.
class PayInterestMain {
    public static void main(String[] args){
        try{
            PayInterestAccount account1 = new PayInterestAccount(1.0);
            account1.credit(100);
            System.out.println("Opening balance is "+
                               account1.getBalance()+
                               " interest rate is "+
                               account1.getRate());
            // Credit one month's interest.
            account1.creditInterest();
            System.out.println("Next month's balance is "+
                               account1.getBalance());

            // Make the account overdrawn and then credit interest.
            account1.debit(5000);
            account1.creditInterest();
            System.out.println("Next month's balance is "+
                               account1.getBalance());
        }
        catch(RuntimeException e){
            System.err.println(e.getMessage());
        }
    }
}
