import java.util.*;

        // Select those of the System properties with the prefix
        //        "user."
class SelectProperties1 {
    public static void main(String[] args){
        // Store the properties in a new Properties object.
        Properties userProperties = new Properties();
        // Find the properties.
        Properties systemProperties = System.getProperties();
        Enumeration propNames = systemProperties.propertyNames();
        while(propNames.hasMoreElements()){
            // Get the property name, which is the key.
            String name = (String) propNames.nextElement();
            if(name.startsWith("user.")){
                // Look up its value in the properties.
                String value = systemProperties.getProperty(name);
                userProperties.setProperty(name,
                                systemProperties.getProperty(name));
            }
        }

        // Print out what was found.
        propNames = userProperties.propertyNames();
        while(propNames.hasMoreElements()){
            // Get the property name, which is the key.
            String name = (String) propNames.nextElement();
            String value = (String) userProperties.getProperty(name);
            System.out.println(name+" = "+value);
        }
    }
}
