        // Test the basic operations of a PriorityQueue.
class PriorityQueueMain {
    public static void main(String[] args){
        // Allocate priorities in the range 0 ... NUM_PRIORITIES-1
        final int NUM_PRIORITIES = 2;
        PriorityQueue queue = new PriorityQueue();

        // Add the command line arguments to the queue.
        for(int i = 0; i < args.length; i++){
            // Generate a random priority.
            int priority = (int) (Math.random()*MAX_PRIORITY);
            System.out.println("Adding: "+args[i]+" with priority "+
                               priority);
            queue.add(args[i],priority);
            System.out.println("Queue length = "+queue.size());
        }

        // Empty the queue.
        for( ; queue.size() > 0; ){
            String s = (String) queue.next();
            System.out.println("Removed: "+s);
            System.out.println("Queue length = "+queue.size());
        }
    }
}
