import java.io.*;

        // Use a DataEncoder to write a sample of binary data
        // to a DataOutputStream.
class DataEncoderMain {
    public static void main(String[] args) throws IOException {
        // Where to write the data.
        String filename = "data.bin";
        DataOutputStream outputFile = new DataOutputStream(
                                new FileOutputStream(filename));
        DataEncoder encoder = new DataEncoder(outputFile);

        // Encode a sample of data types.
        encoder.encodeBoolean(true);
        encoder.encodeInt(34);
        encoder.encodeString("hello, world");
        encoder.encodeInt(-56);
        encoder.encodeDouble(390.45);
        encoder.encodeBoolean(false);
        encoder.encodeEndOfFile();
        outputFile.close();
        System.out.println("Data written to: "+filename);
    }
}
