import java.util.ListIterator;

        // A test rig that shows an implementation of most
        // of the methods of the ListIterator interface for
        // an array of objects. The add method has not
        // been implemented.
class ArrayIteratorMain3 {
    public static void main(String[] args) {
        if(args.length > 0){
            // Iterate over the arguments passed in.
            ListIterator strings = new ArrayIterator3(args);
            while(strings.hasNext()){
                System.out.println("Previous index is: "+
                                   strings.previousIndex());
                System.out.println("Next index is: "+
                                   strings.nextIndex());
                System.out.println("Next arg is: "+
                                   (String) strings.next());
            }
            System.out.println("Array length is: "+
                               strings.nextIndex());
        }
        else{
            System.out.println("Usage: java ArrayIteratorMain3 str ...");
        }
    }
}
